Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK OCSP Java API Reference 10g Release 3 (10.1.3) B25375-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.ocsp
Class OCSPResponse

`java.lang.Object
oracle.security.crypto.ocsp.OCSPResponse`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class OCSPResponse
extends java.lang.Object
implements oracle.security.crypto.asn1.ASN1Object

An OCSP response.

Nested Class Summary
`static class` | `OCSPResponse.RespStatus` Implementation of the response status code of an OCSPResponse.

Constructor Summary
`OCSPResponse()` Empty contstructor.
`OCSPResponse(java.io.InputStream is)`
`OCSPResponse(OCSPResponse.RespStatus respStatus)` Creates a new OCSPResponse with the given status.
`OCSPResponse(OCSPResponse.RespStatus respStatus, ResponseInfo responseInfo)` Creates a new OCSPResponse with the given status and response info.

Method Summary
`ResponseInfo` | `getResponseInfo()` Returns the additional response info of this response.
`oracle.security.crypto.asn1.ASN1ObjectID` | `getResponseType()` Gets the response type of the response info.
`OCSPResponse.RespStatus` | `getRespStatus()` Returns the status of this response.
`void` | `input(java.io.InputStream is)`
`int` | `length()`
`void` | `output(java.io.OutputStream os)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OCSPResponse

    public OCSPResponse()

  Empty contstructor.

### OCSPResponse

    public OCSPResponse(OCSPResponse.RespStatus respStatus)

  Creates a new OCSPResponse with the given status.

### OCSPResponse

    public OCSPResponse(OCSPResponse.RespStatus respStatus,
                        ResponseInfo responseInfo)

  Creates a new OCSPResponse with the given status and response info.
Parameters:
  `responseInfo` - A ResponseInfo object representing additional information on the response.

### OCSPResponse

    public OCSPResponse(java.io.InputStream is)
                 throws java.io.IOException

Method Detail

### getRespStatus

    public OCSPResponse.RespStatus getRespStatus()

  Returns the status of this response.
  Returns:
    A RespStatus object.

### getResponseInfo

    public ResponseInfo getResponseInfo()

  Returns the additional response info of this response.
  Returns:
    A ResponseInfo object, or null if there is no additional information.

### getResponseType

    public oracle.security.crypto.asn1.ASN1ObjectID getResponseType()

  Gets the response type of the response info.
  Returns:
    An ASN1ObjectID representing the type of the response info or null if there is no additional response information.

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Specified by:
    `input` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Specified by:
    `output` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### length

    public int length()

  Specified by:
    `length` in interface `oracle.security.crypto.util.Streamable`

### toString

    public java.lang.String toString()

Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK OCSP Java API Reference 10g Release 3 (10.1.3) B25375-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.